WCSCHR(3)

NAME
wcschr - search a wide character in a wide-character string

SYNOPSIS
#include <wchar.h>

wchar_t *wcschr(const wchar_t *wcs, wchar_t wc);

DESCRIPTION
The wcschr() function is the wide-character equivalent of the strchr(3) function. It searches the first occurrence of wc in the wide-character string pointed to by wcs.

RETURN VALUE
The wcschr() function returns a pointer to the first occurrence of wc in the wide-character string pointed to by wcs, or NULL if wc does not occur in the string.

ATTRIBUTES

  Multithreading (see pthreads(7))
The wcschr() function is thread-safe.

CONFORMING TO
C99.

SEE ALSO
strchr(3), wcspbrk(3), wcsrchr(3), wcsstr(3), wmemchr(3)

COLOPHON
This page is part of release 3.58 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.